### Method

# Gio Notification set_category

since: 2.70

#### Declaration

    void
    g_notification_set_category (
      GNotification* notification,
      const gchar* category
    )

#### Description

Sets the type of `notification` to `category`. Categories have a main type like `email`, `im` or `device` and can have a detail separated by a `.`, e.g. `im.received` or `email.arrived`. Setting the category helps the notification server to select proper feedback to the user.

Standard categories are listed in the specification.

Available since: 2.70

#### Parameters

`category`

  Type: `const gchar*`

  The category for `notification`, or `NULL` for no category.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.